Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class User

    java.lang.Object
      com.pmease.quickbuild.model.Persistent
          com.pmease.quickbuild.model.User

public class User
extends Persistent

Represent an valid user in QuickBuild system.

Author:
  robin shine

Field Summary
`static java.lang.String` | `ANONYMOUS_NAME`

Constructor Summary
`User()`

Method Summary
`java.lang.String` | `getAuthenticationSource()` Specify authentication source of this user.
`java.lang.String` | `getConfirmedPassword()` Confirm the above password
`UserEditor` | `getEditor()`
`java.lang.String` | `getEmail()` Specify email of this user.
`java.lang.String` | `getFullName()` Specify full name of this user.
`java.lang.String` | `getGmailAccount()` Specify Gmail account for this user, for example: yourname@gmail.com.
`java.util.Set` | `getGroupRelations()` Specify groups for this user.
`java.util.Set` | `getGroupRelationsByNames(java.util.List names)`
`java.util.List` | `getGroupRelationsNames()`
`org.apache.tapestry.form.IPropertySelectionModel` | `getGroupRelationsSelectionModel()`
`java.lang.String` | `getJabberAccount()` Specify Jabber account for this user, for example: yourname@jabber.org.
`java.lang.String` | `getMsnAccount()` Specify MSN messenger account for this user, for example: yourname@hotmail.com.
`java.lang.String` | `getName()` Specify login name of this user.
`java.lang.String` | `getPassword()` Specify password of this user.
`UserPreference` | `getPreference()`
`Visit` | `getVisit()`
`boolean` | `isSelected()`
`void` | `setAuthenticationSource(java.lang.String authenticationSource)`
`void` | `setConfirmedPassword(java.lang.String confirmedPassword)`
`void` | `setEditor(UserEditor editor)`
`void` | `setEmail(java.lang.String email)`
`void` | `setFullName(java.lang.String fullName)`
`void` | `setGmailAccount(java.lang.String gmailAccount)`
`void` | `setGroupRelations(java.util.Set groupRelations)`
`void` | `setJabberAccount(java.lang.String jabberAccount)`
`void` | `setMsnAccount(java.lang.String msnAccount)`
`void` | `setName(java.lang.String name)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPreference(UserPreference preference)`
`void` | `setSelected(boolean selected)`
`void` | `setVisit(Visit visit)`

Methods inherited from class com.pmease.quickbuild.model.Persistent
`equals, getEntityVersion, getId, hashCode, setEntityVersion, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANONYMOUS_NAME

    public static final java.lang.String ANONYMOUS_NAME

See Also:
  Constant Field Values

Constructor Detail

### User

    public User()

Method Detail

### getName

    public java.lang.String getName()

  Specify login name of this user.

  Returns:

### setName

    public void setName(java.lang.String name)

### getGroupRelationsSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getGroupRelationsSelectionModel()

### getFullName

    public java.lang.String getFullName()

  Specify full name of this user.

  Returns:

### setFullName

    public void setFullName(java.lang.String fullName)

### getEmail

    public java.lang.String getEmail()

  Specify email of this user.

  Returns:

### setEmail

    public void setEmail(java.lang.String email)

### getMsnAccount

    public java.lang.String getMsnAccount()

  Specify MSN messenger account for this user, for example: yourname@hotmail.com. This is only needed when you want to send build notifications to this user through MSN messenger.

  Returns:

### setMsnAccount

    public void setMsnAccount(java.lang.String msnAccount)

### getJabberAccount

    public java.lang.String getJabberAccount()

  Specify Jabber account for this user, for example: yourname@jabber.org. This is only needed when you want to send build notifications to this user through Jabber.

  Returns:

### setJabberAccount

    public void setJabberAccount(java.lang.String jabberAccount)

### getGmailAccount

    public java.lang.String getGmailAccount()

  Specify Gmail account for this user, for example: yourname@gmail.com. This is only needed when you want to send build notifications to this user through Google Talk.

  Returns:

### setGmailAccount

    public void setGmailAccount(java.lang.String gmailAccount)

### getEditor

    public UserEditor getEditor()

### setEditor

    public void setEditor(UserEditor editor)

### getGroupRelations

    public java.util.Set getGroupRelations()

  Specify groups for this user.

  Returns:

### setGroupRelations

    public void setGroupRelations(java.util.Set groupRelations)

### getGroupRelationsByNames

    public java.util.Set getGroupRelationsByNames(java.util.List names)

### getGroupRelationsNames

    public java.util.List getGroupRelationsNames()

### isSelected

    public boolean isSelected()

### setSelected

    public void setSelected(boolean selected)

### getPassword

    public java.lang.String getPassword()

  Specify password of this user.

  Returns:

### setPassword

    public void setPassword(java.lang.String password)

### getConfirmedPassword

    public java.lang.String getConfirmedPassword()

  Confirm the above password

  Returns:

### setConfirmedPassword

    public void setConfirmedPassword(java.lang.String confirmedPassword)

### getPreference

    public UserPreference getPreference()

### setPreference

    public void setPreference(UserPreference preference)

### getVisit

    public Visit getVisit()

### setVisit

    public void setVisit(Visit visit)

### getAuthenticationSource

    public java.lang.String getAuthenticationSource()

  Specify authentication source of this user.

### setAuthenticationSource

    public void setAuthenticationSource(java.lang.String authenticationSource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.